RDKit::RGroupData Struct Reference

A single rgroup attached to a given core. More...

`#include <RGroupData.h>`

## Public Member Functions

| RGroupData ()
void | add (boost::shared_ptr< ROMol > newMol, const std::vector< int > &rlabel_attachments)
std::map< int, int > | getNumBondsToRlabels () const
std::string | toString () const

## Public Attributes

boost::shared_ptr< RWMol > | combinedMol
std::vector< boost::shared_ptr< ROMol > > | mols
std::vector< std::string > | smilesVect
std::string | smiles
std::set< int > | attachments
std::unique_ptr< ExplicitBitVect > | fingerprint
std::vector< int > | fingerprintOnBits
bool | is_hydrogen = false
bool | single_fragment = true
bool | multiple_attachments = false
bool | is_linker = false
bool | labelled = false

## Detailed Description

A single rgroup attached to a given core.

Definition at line 27 of file RGroupData.h.

## Constructor & Destructor Documentation

## RGroupData()

RDKit::RGroupData::RGroupData | ( |  | ) |

inline

Definition at line 47 of file RGroupData.h.

## Member Function Documentation

## add()

void RDKit::RGroupData::add | ( | boost::shared_ptr< ROMol > | newMol,
|  | const std::vector< int > & | rlabel_attachments
| ) |  |

inline

Definition at line 49 of file RGroupData.h.

References attachments, combinedMol, RDKit::combineMols(), RDKit::common_properties::internalRgroupSmiles, is_hydrogen, is_linker, labelled, mols, RDKit::MolToSmiles(), single_fragment, smiles, and smilesVect.

## getNumBondsToRlabels()

std::map<int, int> RDKit::RGroupData::getNumBondsToRlabels | ( |  | ) | const

inline

Definition at line 99 of file RGroupData.h.

References combinedMol, RDKit::RDProps::getPropIfPresent(), and RDKit::RLABEL.

## toString()

std::string RDKit::RGroupData::toString | ( |  | ) | const

inline

Definition at line 113 of file RGroupData.h.

References attachments.

## Member Data Documentation

## attachments

std::set<int> RDKit::RGroupData::attachments

Definition at line 33 of file RGroupData.h.

Referenced by add(), and toString().

## combinedMol

boost::shared_ptr<RWMol> RDKit::RGroupData::combinedMol

Definition at line 28 of file RGroupData.h.

Referenced by add(), getNumBondsToRlabels(), and RDKit::RGroupDecompData::relabelRGroup().

## fingerprint

std::unique_ptr<ExplicitBitVect> RDKit::RGroupData::fingerprint

Definition at line 35 of file RGroupData.h.

## fingerprintOnBits

std::vector<int> RDKit::RGroupData::fingerprintOnBits

Definition at line 36 of file RGroupData.h.

## is_hydrogen

bool RDKit::RGroupData::is_hydrogen = false

Definition at line 37 of file RGroupData.h.

Referenced by add().

## is_linker

bool RDKit::RGroupData::is_linker = false

Definition at line 40 of file RGroupData.h.

Referenced by add().

## labelled

bool RDKit::RGroupData::labelled = false

Definition at line 41 of file RGroupData.h.

Referenced by add(), and RDKit::RGroupDecompData::relabelRGroup().

## mols

std::vector<boost::shared_ptr<ROMol> > RDKit::RGroupData::mols

Definition at line 29 of file RGroupData.h.

Referenced by add().

## multiple_attachments

bool RDKit::RGroupData::multiple_attachments = false

Definition at line 39 of file RGroupData.h.

## single_fragment

bool RDKit::RGroupData::single_fragment = true

Definition at line 38 of file RGroupData.h.

Referenced by add().

## smiles

std::string RDKit::RGroupData::smiles

Definition at line 32 of file RGroupData.h.

Referenced by add().

## smilesVect

std::vector<std::string> RDKit::RGroupData::smilesVect

Definition at line 30 of file RGroupData.h.

Referenced by add().

The documentation for this struct was generated from the following file:

- RGroupData.h